<?php
/**
 * Plugin Name:       International Telephone Field For Elementor Form
 * Plugin URI:        https://demo.hulkplugins.com/international-telephone-field-for-elementor-form/
 * Description:       This plugin simplifies mobile number entry by guiding users to select their country code, ensuring accurate and properly formatted data submissions.
 * Author:            HulkPlugins
 * Author URI:        https://hulkplugins.com
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       international-telephone-field-for-elementor-form
 * Domain Path:       /languages
 * Version:           1.6.0
 * Requires PHP:      7.4
 * Requires at least: 6.2
 * Requires Plugins:  elementor
 *
 * @package         HulkPlugins\ElementorPro\Forms\InternationalTelephoneField
 */

namespace HulkPlugins\ElementorPro\Forms\InternationalTelephoneField;

defined( 'ABSPATH' ) || exit;

if ( function_exists( '\HulkPlugins\ElementorPro\Forms\InternationalTelephoneField\hulk_epfitf_fs' ) ) {
	hulk_epfitf_fs()->set_basename( false, __FILE__ );
} else {
	// Composer autoload
	require_once plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

	// Freemius
	require_once plugin_dir_path( __FILE__ ) . 'freemius.php';

	// Constants
	require_once plugin_dir_path( __FILE__ ) . 'constants.php';

	// Init
    Base::getInstance()->init_hooks();
}
